AgregarEvento(window,'load',inicializarEventos,false);
var ventana= null;
var conexion1;
var objetoMostrar;
var mSubmit = false;
var combo="";


function inicializarEventos()
{
  var gestionar=document.getElementById('cmdGestionar'); 
  var regresar1=document.getElementById('cmdRegresar'); 
  
  if(!isEmpty(gestionar)){
	  AgregarEvento(gestionar,'click',Cargar_Seccion,false);
  }
  if(!isEmpty(regresar1)){
	  AgregarEvento(regresar1,'click',regresar,false);
  }  
}

function Cargar_Seccion(){
if(validar_datos()){	

  mSubmit=false;
  var forma=window.document.forms[0];
  forma.formulario.value='formulario';
  forma.hdAccion.value='cmdGestionar';
  numero=forma.elements.length;
 
  forma.submit();
}	
//	window.parent.forms[0].location.href= 'vista_actualizacion_datos.php?seccion='+document.getElementById('cmbSeccion').value+'&formulario=formulario';

}
function validar_datos()
	{
		if(document.frmCargarIngresos.cmbModalidad.value==0){
			alert("El campo <<Modalidad>> es obligatorio");
			document.form1.tipo_doc.focus();
			return false;
		}
		if(document.frmCargarIngresos.cmbSede.value==0){
			alert("El campo <<Sede>> es obligatorio");
			document.form1.tipo_doc.focus();
			return false;
		}		
		if(document.frmCargarIngresos.cmbTurnos.value==0){
			alert("El campo <<Turnos>> es obligatorio");
			document.form1.tipo_doc.focus();
			return false;
		}
		if(document.frmCargarIngresos.cmbPeriodo.value==0){
			alert("El campo <<Periodo>> es obligatorio");
			document.form1.tipo_doc.focus();
			return false;
		}	
		return true;
	}

function regresar(){
  mSubmit=false;
  var forma=window.document.forms[0];
  forma.formulario.value='';
  forma.hdAccion.value='';
  numero=forma.elements.length; 
  forma.submit();
}


function AgregarEvento(elemento,nomevento,funcion,captura)
{
  if (elemento.attachEvent)
  {
    elemento.attachEvent('on'+nomevento,funcion);
    return true;
  }
  else  
    if (elemento.addEventListener)
    {
      elemento.addEventListener(nomevento,funcion,captura);
      return true;
    }
    else
      return false;
}

function enviarDatos(e)
{
  if (window.event)
  {
	var boton=window.event.srcElement.getAttribute('name');  
    window.event.returnValue=false;
  }
  else
    if (e){
	  var boton = e.target.getAttribute('name');		
      e.preventDefault();
    }
	enviarFormulario(boton);
}

function enviarFormulario(boton) 
{
  conexion1=crearXMLHttpRequest(); 	
  conexion1.onreadystatechange = procesarEventos;
  conexion1.open('POST','vista_generar_horario.php', false);
  conexion1.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
  conexion1.send(retornarDatos(boton)); 
}



function procesarEventos()
{
 
   if(conexion1.readyState == 4)
  {
   objetoMostrar.innerHTML = conexion1.responseText;	 
  } 
  else 
  {
  }
}

function retornarDatos(boton)
{
  var clave='';
  var cad='';
  var seccion=document.getElementById('cmbSeccion').value
 // clave=document.getElementById('cmbSede').value;
 // clavemod=document.getElementById('hdClave').value;
  cad+='seccion='+encodeURIComponent(seccion);
  cad+='&boton='+encodeURIComponent(boton);
  cad+='&formulario='+encodeURIComponent('secciones');
  return cad;
}





function isEmpty(s){
  return ((s == null) || (s.length == 0))
}
function crearXMLHttpRequest() 
{
  var xmlHttp=null;
  if (window.ActiveXObject) 
    xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
  else 
    if (window.XMLHttpRequest) 
      xmlHttp = new XMLHttpRequest();
  return xmlHttp;
}
